package com.zd.laboratory.service;


import com.zd.laboratory.domain.LabGradeManage;
import com.zd.system.api.laboratory.domain.LabGradeManageRecord;
import com.zd.system.api.laboratory.domain.vo.LabGradeManageWorkVO;

import java.util.List;

/**
 * 分级管控管理Service接口
 *
 * @author liubo
 * @date 2022-02-10
 */
public interface ILabGradeManageWorkService {

    @Deprecated
    List<LabGradeManageWorkVO> selectMyGradeManageWorkList(LabGradeManage labGradeManage);

    LabGradeManageRecord selectLabGradeManageWorkById(Long id);

    LabGradeManageRecord finishMyLabGradeManageWorkById(LabGradeManageRecord labGradeManageRecord);

    List<LabGradeManageWorkVO> finishList(LabGradeManageRecord labGradeManageRecord);

    List<LabGradeManageWorkVO> selectMyGradeManageWorkListV2(LabGradeManageWorkVO labGradeManageWork);

    LabGradeManageWorkVO queryByMessage(LabGradeManageRecord labGradeManageRecord);
}
